Take the 2-minute tour ×
Server Fault is a question and answer site for professional system and network administrators. It's 100% free, no registration required.

We are going to replace DB servers with mysql5.1.

Our dba team recommend that using mysql5.0 client

because, they have enough skill and know-how with mysql5.0 client.

Is there any problems in mysql5.1 server with mysql5.0 client?

share|improve this question

1 Answer 1

up vote 1 down vote accepted

The recommended would be normally to run client and server using the same major version of MySQL.

Other than that I don't really think it would be a major problem to connect a 5.0 client to a 5.1 server, it would be a much bigger problem the other way around, but be aware that your mileage may vary.

share|improve this answer
    
Thank you in advance , Did you mean that 5.1 svr with 5.0 client has no major problem . but your recommendation is 5.1 with 5.1 . I'd like to recommend to DBA manager 5.1 with 5.1 . How can I say something good ? –  freddiefujiwra Jan 13 '11 at 0:27
1  
Of course! 5.1 to 5.1 will always take full potential of the new features implemented in 5.1 server which the 5.0 client do not necessarily support. Also 5.1 client is completely backwards compatible with 5.0 and 4.1 which makes the update not problematic. –  lynxman Jan 13 '11 at 10:33
    
I see . Does anyone have the –  freddiefujiwra Jan 13 '11 at 10:38

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.